////////////////////////////////////////////////////////////////////////////
// CGCStorage クラスのインタフェース宣言
//
// IDとそれに対応するGCの組を管理する
////////////////////////////////////////////////////////////////////////////

#if !defined( GCSTORAGE_H_INCLUDED_ )
#define GCSTORAGE_H_INCLUDED_

#include <Xm/XmAll.h>

#include "TaEdit_std.h"

class CGCStorage : public NNabikiVClsPtr::CCPInterface
{
public:
	CGCStorage();
	~CGCStorage();

	bool CreateGC( int id, Widget wgt, Pixel fg, Pixel bg );
	GC GetGC( int id ) const;
	void FreeGC();

protected:
	map< int, pair< GC, Widget > > mapGC;
};

#endif // GCSTORAGE_H_INCLUDED_

